I cant buy Confluence

"Well, this is embarrassing.

Our ordering system is currently unavailable."

 

This is the message that pops up when I try to buy confluence.

Please fix it and send me an e-mail;

 

Thanks.

3 answers

This widget could not be displayed.

Try it again, Atlassian monitor this stuff and try to fix it as quickly as possible.

This widget could not be displayed.

Still buggy, cant buy it by any means.Selection_039.png

This widget could not be displayed.

Hi Marcelo,

To proceed, can you please try clearing your browser cookies and cache, or try a different browser and let us know if you're still having the problem?

As we are aware, the site should be up and running as normal.

Kind Regards,
Shannon

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Monday in Confluence

Why start from scratch? Introducing four new templates for Confluence Cloud

Hi my Community friends!  For those who don't know me, I'm a product marketer on the Confluence Cloud team - nice to meet you! For those of you who do, you know that I've been all up in your Co...

284 views 2 4
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you